# 2.0.3 (12.03.2023)

- Made find match backgrounds more prominent, which fixes [#72](https://github.com/whizkydee/vscode-palenight-theme/issues/72)
- Applied mild foreground to editor ruler

## 2.0.2 (18.05.2021)

- Made selection background prominent, which fixes [#41](https://github.com/whizkydee/vscode-palenight-theme/issues/41), [#61](https://github.com/whizkydee/vscode-palenight-theme/issues/61) and [#64](https://github.com/whizkydee/vscode-palenight-theme/issues/64)

## 2.0.1 (22.09.2020)

- Updated theme preview image
- Added support for other markup languages (thanks [@gcollic](https://github.com/gcollic))
- Extensive polishing for markup languages (thanks [@gcollic](https://github.com/gcollic))
- Reworded theme variants content in the README

## 2.0.0 (08.08.2020)

- Added a mild contrast variant (fixes [#32](https://github.com/whizkydee/vscode-palenight-theme/issues/32), [#33](https://github.com/whizkydee/vscode-palenight-theme/issues/33), [#38](https://github.com/whizkydee/vscode-palenight-theme/issues/38) and [#42](https://github.com/whizkydee/vscode-palenight-theme/issues/42))
- Repolished window title bar on macOS
- Removed diff editor text border color to comply with VSCode theme authoring recommendation (thanks [@aaronbushnell](https://github.com/aaronbushnell))
- Improved contrast of focused and hovered items in lists across all variants (fixes [#38](https://github.com/whizkydee/vscode-palenight-theme/issues/38))

![mild contrast preview](https://i.imgur.com/kxR49j3.png)

## 1.9.7 (06.10.2019)

- Colored more tokens & punctuations in styled components
- Colored GraphQL Variables

## 1.9.6 (19.09.2019)

- Fixed coloring of punctuations in styled components

## 1.9.5 (12.04.2019)

- a bunch of improvements
- updated preview image

## 1.9.4 (02.10.2018)

- fixes [#30](https://github.com/whizkydee/vscode-palenight-theme/issues/30)
- normalize curly brackets in react jsx
- italicsify units in css

## 1.9.1...1.9.3

- version bump and marketplace fixes

## 1.9.0 (16.08.2018)

- added support for relatively new workbench tokens
- added support for breadcrumbs
- trying out some renames
- cleaned up theme files
- changed preview image
- re-worded readme file

## 1.8.0 (25.05.2018)

- fixes [#24](https://github.com/whizkydee/vscode-palenight-theme/issues/24)
- fixes [#18](https://github.com/whizkydee/vscode-palenight-theme/issues/18)
- updated community section in readme
- corrected typos

## 1.7.3 (30.04.2018)

- update preview image
- adds community section to readme

## 1.7.2 (01.04.2018)

- sets color for active line number
- updated notifications UI

## 1.7.1 (03.03.2018)

- fixes [#19](https://github.com/whizkydee/vscode-palenight-theme/issues/19)

## 1.7.0 (06.01.2018)

- Updated `gitDecoration` coloring
- Updated tokens in the italic style array
- Renamed variants
- Other minor changes

## 1.6.0 (13.11.2017)

- Added support for `gitDecoration` in the **explorer**
- Blended `activityBar` background with **sidebar**
- Sorted versions in **CHANGELOG** in new-to-old format
- Updated coloring of lists in the workbench
- Blended `sideBar` background with main editor
- Selection Background is now super-visible. Fixes [#2](https://github.com/whizkydee/vscode-palenight-theme/issues/2)
- Made `lineHighlight` background darker and more visible
- Removed some tokens from the italics variant
- Updated preview image

## 1.5.4 (25.10.2017)

- Lightened `insertedTextBackground` and `insertedTextBorder` in **diffEditor**
- Made `selectionBackground` even easier to spot
- Improved support a lot for JavaScript modules
- Made curly braces `{}` normal in **JSX**
- Added more tokens to italics array
- Updated `diffEditor` colors

## 1.5.3 (24.10.2017)

- Version Bump

## 1.5.2 (12.10.2017)

- Removed **irrelevant tokens** from italic style array
- Made `selectionBackground` clearer to spot
- Fixed `vscode` version shield in **README**

## 1.5.1 (06.10.2017)

- Update display name
- Fixed error in CHANGELOG

## 1.5.0 (06.10.2017)

- Made **macOS active titleBar** background easier on the eyes as pointed by [@NeoIghodaro](https://twitter.com/NeoIghodaro) and [@FezVrasta](https://twitter.com/FezVrasta)
- Changed `focusBorder` color as noted by [@NeoIghodaro](https://twitter.com/NeoIghodaro)
- Made background of `editorGutter` for **VCS** info solid
- Lightened background of `diffEditor` to enable easier spotting
- Changed the color **punctuations** in PHP function calls
- Changed the color of **support classes** in **PHP**
- Changed color of **Markdown** list punctuations
- Normalized font style of `|` symbol in `RegExp`
- Lightened red color for keywords like `this`
- Added **donate link** to **README**
- Improved **terminal** coloring
- Updated some info in **README**
- Updated theme **preview image**
- Updated **Contributing guide**
- Renamed theme files

## 1.4.0 (03.10.2017)

- Updated **README** and removed irrelevant stuff
- Changed color of **Markdown list Punctuations**
- Removed irrelevant shields in **README**
- Added dates to versions in **CHANGELOG**
- Italicize all text in **Markdown files**
- Removed irrelevant **devDependencies**
- Added source of inspiration to changelog
- Updated **installation instructions**
- Updated theme **preview image**
- Added **contributing guide**
- Removed **unwanted files**
- Added **build script**

## 1.3.0 (13.09.2017)

- [Hot] Fixed **macOS titleBar** foreground color as noted in [#4](https://github.com/whizkydee/vscode-palenight-theme/issues/4)
- [Hot] Fixed **editorWidget** border color as noted in [#4](https://github.com/whizkydee/vscode-palenight-theme/issues/4)
- Added color for **wildcard** selector in **stylesheets**
- Added more support for **tag names** in **JS frameworks**
- Added more support for **custom tag names** in **JS frameworks**
- Improved syntax support for **JSON** in **JavaScript**
- Added **Object Literal Keys** to italics style array
- Added more token selectors to **Punctuation Tweaks**
- Added more **token selectors** for **tag names**
- Improved **workbench** theming massively
- Ignored irrelevant files for user download
- Improved syntax support for **Python**
- Removed redundant **token selectors**
- Little Code cleanup
- Updated demo files

## 1.2.0 (18.08.2017)

- Added more tokens to the **italic style array**
- Added lots of support for **TypeScript React**
- Added lots of support for **TypeScript**
- Added lots of support for **React**
- Changed the color of **Sass Variables**
- Changed the color of **ES6 module imports**
- Improved consistency in **syntax higlighting**
- Improved support for certain **ES6 tokens**
- Changed the default color of **strings**
- Updated **README**
- Other minor changes

## 1.1.1 (08.08.2017)

- Made **Italic variant** separate from **Operator Mono variant**
- Added status shields to **README**
- Added more info to **README**

## 1.1.0 (03.08.2017)

- Made the **theme variant** less specific to Operator Mono users -- Italic
- Added more **font styling** for **Operator Mono** users
- Re-arranged **token selectors** in a modular format
- Improved **workbench** theming a lot
- Harmonized **coloring** for specific components
- Added more **syntax support** for languages
- Made **sideBar** background more visible
- Changed colors of **statusBar and activityBar**
- Fixed some **broken selectors**
- Updated **theme preview** image
- Updated **README**
- Other minor changes

## 1.0.12 (26.07.2017)

- Changed coloring for language constants in **PHP** to previous one
- Updated link to my name in **README**
- Other **minor changes**

## 1.0.11 (21.07.2017)

- Made **HTML tag matches** background more visible as noted in [#1](https://github.com/whizkydee/vscode-palenight-theme/issues/1)
- Added coloring for language constants in **PHP**
- Added more scopes to **Punctuation Tweaks** for coloring
- Updated theme **description** globally
- Fixed **premature** release

## 1.0.10 (11.07.2017)

- Added coloring for **Ruby** hashkeys
- Added coloring for **Ruby** variables
- Fixed some deprecated selectors caused by `vscode@v1.14.0`
- Updated my **Twitter** URL
- Updated **README**

## 1.0.9 (07.07.2017)

- Version Bump

## 1.0.8 (06.07.2017)

- Changed URLs in **README.md** to **HTTPS**
- Converted **Marketplace Preview Icon** to PNG

## 1.0.7 (27.06.2017)

- Added coloring for **template strings** globally as noted by [@codebeast](https://twitter.com/codebeast)
- Updated **scrollbar** colors

## 1.0.6 (13.06.2017)

- Added coloring for custom tags in **stylesheets**
- Added coloring for **C#** storage types
- Updated `galleryBanner` entry in **package.json**
- Changed `publisher` entry in **package.json**
- Updated **scrollbar** colors
- Updated **CHANGELOG.md**

## 1.0.5 (13.06.2017)

- `vsce` error

## 1.0.4 (13.06.2017)

- Colored **ES6** template literal punctuation as noted by [@fmalsalamah](https://twitter.com/fmalsalamah/status/874048282875637760)
- Colored **ES6** template literal backtics
- Ignored **demos** folder for download by users
- Updated keywords in **package.json**
- Updated **icon.svg** file

## 1.0.3 (11.06.2017)

- Fixed some bugs caused by `vscode@v1.13.0`
- Updated lists UI colors
- Updated emojis in **README.md**
- Moved **.vscodeignore** to main directory
- Changes to **package.json** file
- Added specificity for `entity.name.tag` in **stylesheets**

## 1.0.2 (10.06.2017)

- Updated **package.json**
- Added **icon.svg** file

## 1.0.1 (10.06.2017)

- Pushed Commits

## 1.0.0 - Juicy . First Release (10.06.2017)

- Every feature added
- Every bug fixed
